/* UDPdaytime.c - UDPdaytime, main 
# 	Cesar Kallas	RA: 02099224
#	cesarkallas (at) gmx.net 	-	 http://cesarkallas.soulivre.org
#	Pontificia Universidade Catolica - Campinas
#	08/2005
*/

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#define	MSG		"tempo?"
int	errno;

int	UDPdaytime(const char *host, const char *service);
int	errexit(const char *format, ...);
int	connectTCP(const char *host, const char *service);

#define	LINELEN		1024

/*------------------------------------------------------------------------
 * main - TCP client for DAYTIME service
 *------------------------------------------------------------------------
 */
int
main(int argc, char *argv[])
{
	char	*host = "localhost";	/* host to use if none supplied	*/
	char	*service = "daytime";	/* default service port		*/

	switch (argc) {
	case 1:
		host = "localhost";
		break;
	case 3:
		service = argv[2];
		/* FALL THROUGH */
	case 2:
		host = argv[1];
		break;
	default:
		fprintf(stderr, "usage: UDPdaytime [host [port]]\n");
		exit(1);
	}
	UDPdaytime(host, service);
	exit(0);
}

/*------------------------------------------------------------------------
 * UDPdaytime - invoke Daytime on specified host and print results
 *------------------------------------------------------------------------
 */
UDPdaytime(const char *host, const char *service)
{
	char	buf[LINELEN+1];		/* buffer for one line of text	*/
	int	s, n;			/* socket, read count		*/
	char *pc;
	
	s = connectUDP(host, service);
	write(s, MSG, strlen(MSG));
	n = read(s, buf, LINELEN );
	//printf("%dn:", n);
	fputs( buf, stdout);
}
